Bug 117900 - After signing a signature line, graphic does not reflect "signed" state
Summary: After signing a signature line, graphic does not reflect "signed" state
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 14:04 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-06-28 12:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-05-30 14:04:25 UTC
When you sign a signature line, the graphic should be instantly updated to show the "signed" state.

This currently needs reloading of the document.
Comment 1 raal 2018-05-31 05:32:46 UTC
Setting to new.
Comment 2 Commit Notification 2018-06-27 05:15:41 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22ccb4cb8b99cc6766282256939d3f79a0c56109

tdf#117900 Reload document after signing signature line

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-06-28 12:06:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=521d8ff0e64d59c88fc44ad376c96c1d019a29f1&h=libreoffice-6-1

tdf#117900 Reload document after signing signature line

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.